public class Circle implements Measurable {
    
    private double radius;
    private double x, y;
    
    public Circle(double radius, double x, double y) {
        this.radius = radius;
        this.x = x;
        this.y = y;
    }
    
    // required by the Measurable interface
    public double getMeasure() {
        return this.area();
    }

    public String toString() {
        return String.format("Circle of radius %.2f", this.radius);
    }

    public double area() {
        return Math.PI * this.radius * this.radius;
    }
    
    public double distance(Circle other) {
        double dx = this.x - other.x;
        double dy = this.y - other.y;
        return Math.sqrt(dx * dx + dy * dy);
    }
    
}
